<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/4_World/Entities/ItemBase/GiftBox_Base.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('de/d73/_gift_box___base_8c_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">GiftBox_Base.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../de/d73/_gift_box___base_8c.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="keyword">class </span>GiftBox_Base <span class="keyword">extends</span> <a class="code hl_class" href="../../d1/dc4/class_container___base.html">Container_Base</a></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span>{</div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#a16d0677e0fab00d86bcc455a363eb5e9">    3</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#a16d0677e0fab00d86bcc455a363eb5e9">GiftBox_Base</a>()</div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span>    {</div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span>        m_Openable = <span class="keyword">new</span> <a class="code hl_class" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a>(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span>        RegisterNetSyncVariableBool(<span class="stringliteral">&quot;m_Openable.m_IsOpened&quot;</span>);</div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span>    }</div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span>    </div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#a63e145f81711639f48b82e60b129e786">    9</a></span>    <span class="keyword">protected</span> ref <a class="code hl_class" href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a> <a class="code hl_variable" href="../../d1/dc4/class_container___base.html#a63e145f81711639f48b82e60b129e786">m_Openable</a>;</div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span>    </div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#a4c7f560c6f76db427bee154a42db54af">   11</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#a4c7f560c6f76db427bee154a42db54af">CanReceiveItemIntoCargo</a>( <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> item )</div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span>    {</div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span>        <span class="keywordflow">if</span>( !super.CanReceiveItemIntoCargo(item) ) {<span class="keywordflow">return</span> <span class="keyword">false</span>;}</div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>        </div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>        <span class="keywordflow">if</span> (<a class="code hl_class" href="../../dc/d11/class_game_inventory.html">GameInventory</a>.GetInventoryCheckContext() == <a class="code hl_enumeration" href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#aff38d492065d677f2f43d58a04925a34">InventoryCheckContext</a>.DEFAULT )</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>        {</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>            <span class="keywordflow">if</span>(!<a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsDedicatedServer())</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>                <span class="keywordflow">return</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#af6ccc4e7f93bd43b1dc44bb7e86997e0">IsOpen</a>();</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        }</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        </div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#a8332130a6ff23e9483362684535674e1">   25</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#a8332130a6ff23e9483362684535674e1">Open</a>()</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    {</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_Openable.Open();</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>        SetSynchDirty();</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    }</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>    </div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#ac39719910a8a4afcce56d6c8be315f06">   31</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#ac39719910a8a4afcce56d6c8be315f06">Close</a>()</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>    {</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        m_Openable.Close();</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        SetSynchDirty();</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>    }</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>    </div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#af6ccc4e7f93bd43b1dc44bb7e86997e0">   37</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#af6ccc4e7f93bd43b1dc44bb7e86997e0">IsOpen</a>()</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    {</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>        <span class="keywordflow">return</span> m_Openable.IsOpened();</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    }</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>    </div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#a9cd11045bece29d18aa6b62757d2a79b">   42</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#a9cd11045bece29d18aa6b62757d2a79b">SetActions</a>()</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    {</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        super.SetActions();</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>        <a class="code hl_function" href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a>(<a class="code hl_class" href="../../da/ded/class_action_unpack_gift.html">ActionUnpackGift</a>);</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>    }</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    </div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#a5f66e35646beb0d51d89af18b2e4f29b">   48</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#a5f66e35646beb0d51d89af18b2e4f29b">OnDebugSpawn</a>()</div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    {</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>        <a class="code hl_class" href="../../df/df9/class_entity_a_i.html">EntityAI</a> entity;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">if</span> ( <a class="code hl_class" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>.<a class="code hl_function" href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">CastTo</a>(entity, <span class="keyword">this</span>) )</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        {</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>            entity.GetInventory().CreateInInventory( <span class="stringliteral">&quot;Chemlight_Green&quot;</span> );   </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        }</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    }</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>    </div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno"><a class="line" href="../../d1/dc4/class_container___base.html#aa821a807b23e66eacc313f6a3647597f">   57</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/dc4/class_container___base.html#aa821a807b23e66eacc313f6a3647597f">EEHealthLevelChanged</a>(<span class="keywordtype">int</span> oldLevel, <span class="keywordtype">int</span> newLevel, <span class="keywordtype">string</span> zone)</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    {</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>        <span class="comment">//Print(&quot;EEHealthLevelChanged&quot;);</span></div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        super.EEHealthLevelChanged(oldLevel,newLevel,zone);</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        </div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>        <span class="keywordflow">if</span> ( newLevel == <a class="code hl_class" href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a>.<a class="code hl_variable" href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">STATE_RUINED</a> &amp;&amp; <a class="code hl_function" href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a>().IsServer() )</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>        {</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>            MiscGameplayFunctions.ThrowAllItemsInInventory(<span class="keyword">this</span>, 0);</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>            DeleteSafe();</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        }</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="comment">//m_DamageSystemStarted = true;</span></div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    }</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>}</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span> </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span><span class="keyword">class </span>GiftBox_Small <span class="keyword">extends</span> GiftBox_Base {}</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span><span class="keyword">class </span>GiftBox_Medium <span class="keyword">extends</span> GiftBox_Base {}</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span><span class="keyword">class </span>GiftBox_Large <span class="keyword">extends</span> GiftBox_Base {}</div>
<div class="ttc" id="a3___game_2_systems_2_inventory_2_inventory_8c_html_aff38d492065d677f2f43d58a04925a34"><div class="ttname"><a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c.html#aff38d492065d677f2f43d58a04925a34">InventoryCheckContext</a></div><div class="ttdeci">InventoryCheckContext</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00027">Inventory.c:28</a></div></div>
<div class="ttc" id="a_advanced_communication_8c_html_a033d077df58807906c4dad3101d8768c"><div class="ttname"><a href="../../dd/dfd/_advanced_communication_8c.html#a033d077df58807906c4dad3101d8768c">AddAction</a></div><div class="ttdeci">void AddAction(typename actionName)</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/dfd/_advanced_communication_8c_source.html#l00220">AdvancedCommunication.c:220</a></div></div>
<div class="ttc" id="aclass_action_unpack_gift_html"><div class="ttname"><a href="../../da/ded/class_action_unpack_gift.html">ActionUnpackGift</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d33/_action_unpack_gift_8c_source.html#l00009">ActionUnpackGift.c:10</a></div></div>
<div class="ttc" id="aclass_container___base_html"><div class="ttname"><a href="../../d1/dc4/class_container___base.html">Container_Base</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d5/d16/_e_n5_c___bear___color_base_8c_source.html#l00001">EN5C_Bear_ColorBase.c:2</a></div></div>
<div class="ttc" id="aclass_container___base_html_a16d0677e0fab00d86bcc455a363eb5e9"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#a16d0677e0fab00d86bcc455a363eb5e9">Container_Base::GiftBox_Base</a></div><div class="ttdeci">void GiftBox_Base()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00003">GiftBox_Base.c:3</a></div></div>
<div class="ttc" id="aclass_container___base_html_a4c7f560c6f76db427bee154a42db54af"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#a4c7f560c6f76db427bee154a42db54af">Container_Base::CanReceiveItemIntoCargo</a></div><div class="ttdeci">override bool CanReceiveItemIntoCargo(EntityAI item)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00011">GiftBox_Base.c:11</a></div></div>
<div class="ttc" id="aclass_container___base_html_a5f66e35646beb0d51d89af18b2e4f29b"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#a5f66e35646beb0d51d89af18b2e4f29b">Container_Base::OnDebugSpawn</a></div><div class="ttdeci">override void OnDebugSpawn()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00048">GiftBox_Base.c:48</a></div></div>
<div class="ttc" id="aclass_container___base_html_a63e145f81711639f48b82e60b129e786"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#a63e145f81711639f48b82e60b129e786">Container_Base::m_Openable</a></div><div class="ttdeci">protected ref OpenableBehaviour m_Openable</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00009">GiftBox_Base.c:9</a></div></div>
<div class="ttc" id="aclass_container___base_html_a8332130a6ff23e9483362684535674e1"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#a8332130a6ff23e9483362684535674e1">Container_Base::Open</a></div><div class="ttdeci">override void Open()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00025">GiftBox_Base.c:25</a></div></div>
<div class="ttc" id="aclass_container___base_html_a9cd11045bece29d18aa6b62757d2a79b"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#a9cd11045bece29d18aa6b62757d2a79b">Container_Base::SetActions</a></div><div class="ttdeci">override void SetActions()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00042">GiftBox_Base.c:42</a></div></div>
<div class="ttc" id="aclass_container___base_html_aa821a807b23e66eacc313f6a3647597f"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#aa821a807b23e66eacc313f6a3647597f">Container_Base::EEHealthLevelChanged</a></div><div class="ttdeci">override void EEHealthLevelChanged(int oldLevel, int newLevel, string zone)</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00057">GiftBox_Base.c:57</a></div></div>
<div class="ttc" id="aclass_container___base_html_ac39719910a8a4afcce56d6c8be315f06"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#ac39719910a8a4afcce56d6c8be315f06">Container_Base::Close</a></div><div class="ttdeci">override void Close()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00031">GiftBox_Base.c:31</a></div></div>
<div class="ttc" id="aclass_container___base_html_af6ccc4e7f93bd43b1dc44bb7e86997e0"><div class="ttname"><a href="../../d1/dc4/class_container___base.html#af6ccc4e7f93bd43b1dc44bb7e86997e0">Container_Base::IsOpen</a></div><div class="ttdeci">override bool IsOpen()</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d73/_gift_box___base_8c_source.html#l00037">GiftBox_Base.c:37</a></div></div>
<div class="ttc" id="aclass_entity_a_i_html"><div class="ttname"><a href="../../df/df9/class_entity_a_i.html">EntityAI</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d45/3___game_2_entities_2_building_8c_source.html#l00001">Building.c:2</a></div></div>
<div class="ttc" id="aclass_game_inventory_html"><div class="ttname"><a href="../../dc/d11/class_game_inventory.html">GameInventory</a></div><div class="ttdoc">script counterpart to engine's class Inventory</div><div class="ttdef"><b>Definition:</b> <a href="../../dc/dd3/3___game_2_systems_2_inventory_2_inventory_8c_source.html#l00033">Inventory.c:28</a></div></div>
<div class="ttc" id="aclass_openable_behaviour_html"><div class="ttname"><a href="../../d9/d4b/class_openable_behaviour.html">OpenableBehaviour</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/df0/_openable_behaviour_8c_source.html#l00001">OpenableBehaviour.c:2</a></div></div>
<div class="ttc" id="agameplay_8c_html_aebb1fa6632d513bc849994e7b6c9c93d"><div class="ttname"><a href="../../d8/d18/gameplay_8c.html#aebb1fa6632d513bc849994e7b6c9c93d">GetGame</a></div><div class="ttdeci">proto native CGame GetGame()</div></div>
<div class="ttc" id="agroup___emote_i_ds_html_da/d45/class_game_constants"><div class="ttname"><a href="../../d2/d68/group___emote_i_ds.html#da/d45/class_game_constants">GameConstants</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00589">constants.c:590</a></div></div>
<div class="ttc" id="agroup___enforce_html_d4/d14/class_class"><div class="ttname"><a href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></div><div class="ttdoc">Super root of all classes in Enforce script.</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d15/_en_script_8c_source.html#l00010">EnScript.c:11</a></div></div>
<div class="ttc" id="agroup___enforce_html_ga253ceb932745ea74ca4a4d3d9e8c12d7"><div class="ttname"><a href="../../d5/d78/group___enforce.html#ga253ceb932745ea74ca4a4d3d9e8c12d7">Class::CastTo</a></div><div class="ttdeci">static proto bool CastTo(out Class to, Class from)</div><div class="ttdoc">Try to safely down-cast base class to child class.</div></div>
<div class="ttc" id="agroup___item_health_html_ga3908fcde0f2e91545d7e3a51fab2d5d0"><div class="ttname"><a href="../../de/db5/group___item_health.html#ga3908fcde0f2e91545d7e3a51fab2d5d0">GameConstants::STATE_RUINED</a></div><div class="ttdeci">const int STATE_RUINED</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/ddc/3___game_2constants_8c_source.html#l00733">constants.c:733</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_2e5c1ab951ac691cd4fc8c5e713c6c8a.html">4_World</a></li><li class="navelem"><a class="el" href="../../dir_d92b8e0605e989b70f343f78d41d5ad9.html">Entities</a></li><li class="navelem"><a class="el" href="../../dir_f12a6a0ceb954b09e80cdb3982c30e1e.html">ItemBase</a></li><li class="navelem"><a class="el" href="../../de/d73/_gift_box___base_8c.html">GiftBox_Base.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
